[arch-commits] Commit in openoffice-base-devel/trunk (4 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Thu Jan 14 23:58:41 EST 2010


    Date: Thursday, January 14, 2010 @ 23:58:41
  Author: andyrtr
Revision: 63141

upgpkg: openoffice-base-devel 3.3_dev300_m69-1
    new snapshot DEV300_m69

Modified:
  openoffice-base-devel/trunk/ChangeLog
  openoffice-base-devel/trunk/PKGBUILD
  openoffice-base-devel/trunk/buildfix-gcc44.diff
  openoffice-base-devel/trunk/startcenter.desktop

---------------------+
 ChangeLog           |    6 +
 PKGBUILD            |   21 +++---
 buildfix-gcc44.diff |  159 --------------------------------------------------
 startcenter.desktop |   66 ++++++++++----------
 4 files changed, 51 insertions(+), 201 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2010-01-15 01:25:09 UTC (rev 63140)
+++ ChangeLog	2010-01-15 04:58:41 UTC (rev 63141)
@@ -1,3 +1,9 @@
+2010-01-14 Andreas Radke <andyrtr at archlinux.org>
+
+        * 3.3_dev300_m69-1:
+        - new snapshot
+	- gtk2 is a needed runtime dep, #17728
+
 2010-01-01 Andreas Radke <andyrtr at archlinux.org>
 
         * 3.2_dev300_m68-1:

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-15 01:25:09 UTC (rev 63140)
+++ PKGBUILD	2010-01-15 04:58:41 UTC (rev 63141)
@@ -4,8 +4,8 @@
 
 pkgbase="openoffice-base-devel"
 pkgname=('openoffice-base-devel' 'openoffice-sdk-devel')
-_OO_milestone=DEV300_m68
-pkgver=3.2_${_OO_milestone/DEV/dev}
+_OO_milestone=DEV300_m69
+pkgver=3.3_${_OO_milestone/DEV/dev}
 pkgrel=1
 arch=('i686' 'x86_64')
 license=('LGPL3')
@@ -27,6 +27,7 @@
 	soffice-detect-mozilla-certificates.diff
 	buildfix-gcc44.diff
 	buildfix_FormulaMissingHeader.diff
+	http://www.openoffice.org/nonav/issues/showattachment.cgi/67089/canvas.build-breaks-in-cairocanvas.patch
 	openoffice.profile)
 options=('!distcc' '!ccache' '!makeflags')
                                                                        
@@ -59,6 +60,8 @@
 	# build fixes
 	patch -Np0 -i ${srcdir}/buildfix-gcc44.diff || return 1
 	patch -Np0 -i ${srcdir}/buildfix_FormulaMissingHeader.diff || return 1
+	# http://www.openoffice.org/issues/show_bug.cgi?id=108160
+	patch -Np1 -i ${srcdir}/canvas.build-breaks-in-cairocanvas.patch || return 1
 	
 	# allows soffice to find the user's firefox profile so that it can read
 	# its digital certificates. Nss stores digital certificates in your mozilla firefox profile. 
@@ -172,7 +175,7 @@
  pkgdesc="OpenOffice.org - a free multiplatform and multilingual office suite - developement branch"
  install=openoffice.install
  depends=("curl>=7.19.2" "hunspell>=1.2.8" "python>=2.6.2" 'libwpd' 'redland' 'libxaw' "neon>=0.28.4"
-          'dbus-glib' "icu>=4.2.1" 'hsqldb-java' 'libxslt' 'hicolor-icon-theme' 'desktop-file-utils' 
+          'dbus-glib' "icu>=4.2.1" 'hsqldb-java' 'libxslt' 'hicolor-icon-theme' 'desktop-file-utils' 'gtk2'
 	  'beanshell' 'saxon' 'vigra' 'libgraphite' 'hyphen' 'lpsolve' 'libmspack' 'libldap' 'lucene') # 'libmythes'
  optdepends=('java-runtime:	adds java support'
             'libcups:		adds printing support'
@@ -199,14 +202,14 @@
 
         ## Step 1 
         cd ${pkgdir}/usr/lib/openoffice.org || return 1
-        mv ure/ basis3.2/ || return 1
-        cd basis3.2 || return 1
+        mv ure/ basis3.3/ || return 1
+        cd basis3.3 || return 1
         rm ure-link && mv ure ure-link || return 1
         ## Step 2
         cd ${pkgdir}/usr/lib/ || return 1
-        mv openoffice.org/basis3.2/ openoffice.org3/ || return 1
+        mv openoffice.org/basis3.3/ openoffice.org3/ || return 1
         cd openoffice.org3/ || return 1
-        rm basis-link && mv basis3.2 basis-link || return 1
+        rm basis-link && mv basis3.3 basis-link || return 1
         ## Step 3        
         cd ${pkgdir}/usr/lib/ || return 1
         rmdir ${pkgdir}/usr/lib/openoffice.org || return 1
@@ -322,7 +325,7 @@
 	mv ${pkgdir}/opt/* ${pkgdir}/usr/lib/
 	rmdir ${pkgdir}/opt
 
-	cd ${pkgdir}/usr/lib/openoffice.org/basis3.2/sdk
+	cd ${pkgdir}/usr/lib/openoffice.org/basis3.3/sdk
 	
 	for file in setsdkenv_unix.csh setsdkenv_unix.sh ; do
         sed -e "s, at OO_SDK_NAME@,sdk," \
@@ -345,7 +348,7 @@
 	mv openoffice.org openoffice || return 1
 
  	cd ${pkgdir}/usr/lib/openoffice/ || return 1
-	mv basis3.2 basis-link || return 1
+	mv basis3.3 basis-link || return 1
 
 	# fix ownership and permissions
 	chown root.root -R ${pkgdir}/

Modified: buildfix-gcc44.diff
===================================================================
--- buildfix-gcc44.diff	2010-01-15 01:25:09 UTC (rev 63140)
+++ buildfix-gcc44.diff	2010-01-15 04:58:41 UTC (rev 63141)
@@ -8,162 +8,3 @@
  
  using ::rtl::OString;
  using ::rtl::OUString;
---- lingucomponent/source/lingutil/lingutil.cxx	2010-01-01 14:51:14.000000000 +0000
-+++ lingucomponent/source/lingutil/lingutil.cxx.new	2010-01-01 17:23:40.812325940 +0000
-@@ -44,6 +44,7 @@
- #endif
- 
- 
-+#include <string.h>
- #include <osl/thread.h>
- #include <osl/file.hxx>
- #include <tools/debug.hxx>
---- lingucomponent/source/thesaurus/libnth/nthesimp.cxx	2010-01-01 14:51:14.000000000 +0000
-+++ lingucomponent/source/thesaurus/libnth/nthesimp.cxx.new	2010-01-02 09:45:13.229770814 +0000
-@@ -32,6 +32,7 @@
- #include "precompiled_lingucomponent.hxx"
- 
- // include <stdio.h>
-+#include <string.h>
- #include <com/sun/star/uno/Reference.h>
- 
- #include <cppuhelper/factory.hxx>	// helper for factories
---- lingucomponent/source/spellcheck/spell/sspellimp.cxx	2010-01-01 14:51:14.000000000 +0000
-+++ lingucomponent/source/spellcheck/spell/sspellimp.cxx.new	2010-01-02 11:53:11.039003768 +0000
-@@ -29,6 +29,7 @@
-  ************************************************************************/
- 
- // MARKER(update_precomp.py): autogen include statement, do not remove
-+#include <string.h>
- #include "precompiled_lingucomponent.hxx"
- #include <com/sun/star/uno/Reference.h>
- #include <com/sun/star/linguistic2/XSearchableDictionaryList.hpp>
---- lingucomponent/source/hyphenator/altlinuxhyph/hyphen/hyphenimp.cxx	2010-01-01 14:51:14.000000000 +0000
-+++ lingucomponent/source/hyphenator/altlinuxhyph/hyphen/hyphenimp.cxx.new	2010-01-02 14:09:02.014854702 +0000
-@@ -31,7 +31,7 @@
- // MARKER(update_precomp.py): autogen include statement, do not remove
- #include "precompiled_lingucomponent.hxx"
- 
--
-+#include <string.h>
- #include <com/sun/star/uno/Reference.h>
- #include <com/sun/star/linguistic2/XSearchableDictionaryList.hpp>
- 
-@@ -544,10 +544,10 @@
-   char *lcword;
-   int k;
- 
--  PropertyHelper_Hyphen & rHelper = GetPropHelper();
--  rHelper.SetTmpPropVals(aProperties);
--  sal_Int16 minTrail = rHelper.GetMinTrailing();
--  sal_Int16 minLead = rHelper.GetMinLeading();
-+  PropertyHelper_Hyphen & rHelper = GetPropHelper();
-+  rHelper.SetTmpPropVals(aProperties);
-+  sal_Int16 minTrail = rHelper.GetMinTrailing();
-+  sal_Int16 minLead = rHelper.GetMinLeading();
- 
-   HyphenDict *dict = NULL;
-   rtl_TextEncoding aEnc = 0;
-@@ -621,9 +621,9 @@
-       wordlen = encWord.getLength();
-       lcword = new char[wordlen+1];
-       hyphens = new char[wordlen+5];
--      char ** rep = NULL; // replacements of discretionary hyphenation
--      int * pos = NULL; // array of [hyphenation point] minus [deletion position] 
--      int * cut = NULL; // length of deletions in original word
-+      char ** rep = NULL; // replacements of discretionary hyphenation
-+      int * pos = NULL; // array of [hyphenation point] minus [deletion position] 
-+      int * cut = NULL; // length of deletions in original word
- 
-       // copy converted word into simple char buffer
-       strcpy(lcword,encWord.getStr());
-@@ -634,21 +634,21 @@
-       n++;
-       // fprintf(stderr,"hyphenate... %s\n",lcword); fflush(stderr);
-       if (n > 0) {
--         if (hnj_hyphen_hyphenate3(dict, lcword, n, hyphens, NULL, &rep, &pos, &cut,
--            minLead, minTrail, Max(dict->clhmin, Max(dict->clhmin, 2) + Max(0, minLead - Max(dict->lhmin, 2))),
--            Max(dict->crhmin, Max(dict->crhmin, 2) + Max(0, minTrail - Max(dict->rhmin, 2)))))
-+         if (hnj_hyphen_hyphenate3(dict, lcword, n, hyphens, NULL, &rep, &pos, &cut,
-+            minLead, minTrail, Max(dict->clhmin, Max(dict->clhmin, 2) + Max(0, minLead - Max(dict->lhmin, 2))),
-+            Max(dict->crhmin, Max(dict->crhmin, 2) + Max(0, minTrail - Max(dict->rhmin, 2)))))
-          {
-              delete[] hyphens;
-              delete[] lcword;
--
--             if (rep) {
--                 for(int j = 0; j < n; j++) {
--                     if (rep[j]) free(rep[j]);
--                 }
--                 free(rep);
--             }
--             if (pos) free(pos);
--             if (cut) free(cut);
-+
-+             if (rep) {
-+                 for(int j = 0; j < n; j++) {
-+                     if (rep[j]) free(rep[j]);
-+                 }
-+                 free(rep);
-+             }
-+             if (pos) free(pos);
-+             if (cut) free(cut);
- 
-              return NULL;
-          }
-@@ -662,7 +662,7 @@
-       INT16 i;
- 
-       for ( i = 0; i < encWord.getLength(); i++)
--        if (hyphens[i]&1 && (!rep || !rep[i]))
-+        if (hyphens[i]&1 && (!rep || !rep[i]))
-           nHyphCount++;
- 
-       Sequence< INT16 > aHyphPos(nHyphCount);
-@@ -671,14 +671,14 @@
-       OUString hyphenatedWord;
-       nHyphCount = 0;
- 
--      for (i = 0; i < nWord.getLength(); i++) {
-+      for (i = 0; i < nWord.getLength(); i++) {
-           hyphenatedWordBuffer.append(aWord[i]);
--          // hyphenation position (not alternative)
--          if (hyphens[i]&1 && (!rep || !rep[i])) {
--              pPos[nHyphCount] = i;
--              hyphenatedWordBuffer.append(sal_Unicode('='));
--              nHyphCount++;
--          }
-+          // hyphenation position (not alternative)
-+          if (hyphens[i]&1 && (!rep || !rep[i])) {
-+              pPos[nHyphCount] = i;
-+              hyphenatedWordBuffer.append(sal_Unicode('='));
-+              nHyphCount++;
-+          }
-       }
- 
-       hyphenatedWord = hyphenatedWordBuffer.makeStringAndClear();
-@@ -690,15 +690,15 @@
- 
-       delete[] hyphens;
-       delete[] lcword;
--
--      if (rep) {
--          for(int j = 0; j < n; j++) {
--              if (rep[j]) free(rep[j]);
--          }
--          free(rep);
--      }
--      if (pos) free(pos);
--      if (cut) free(cut);
-+
-+      if (rep) {
-+          for(int j = 0; j < n; j++) {
-+              if (rep[j]) free(rep[j]);
-+          }
-+          free(rep);
-+      }
-+      if (pos) free(pos);
-+      if (cut) free(cut);
- 
-       return xRes;
-   }

Modified: startcenter.desktop
===================================================================
--- startcenter.desktop	2010-01-15 01:25:09 UTC (rev 63140)
+++ startcenter.desktop	2010-01-15 04:58:41 UTC (rev 63141)
@@ -8,41 +8,41 @@
 Categories=Office;X-SuSE-Core-Office;
 StartupNotify=false
 InitialPreference=5
-Name=OpenOffice.org 3.2
-Name[af]=OpenOffice.org 3.2
+Name=OpenOffice.org 3.3
+Name[af]=OpenOffice.org 3.3
 Name[ar]=أوبن أفيس.أورج
-Name[be at latin]=OpenOffice.org 3.2
-Name[ca]=OpenOffice.org 3.2
-Name[cs]=OpenOffice.org 3.2
-Name[da]=OpenOffice.org 3.2
-Name[de]=OpenOffice.org 3.2
+Name[be at latin]=OpenOffice.org 3.3
+Name[ca]=OpenOffice.org 3.3
+Name[cs]=OpenOffice.org 3.3
+Name[da]=OpenOffice.org 3.3
+Name[de]=OpenOffice.org 3.3
 Name[dz]=ཨོ་པཱན་ཨོ་ཕིསི.ཨོ་ཨར་ཇི།
-Name[el]=OpenOffice.org 3.2
-Name[en_CA]=OpenOffice.org 3.2
-Name[en_GB]=OpenOffice.org 3.2
-Name[es]=OpenOffice.org 3.2
-Name[et]=OpenOffice.org 3.2
-Name[eu]=OpenOffice.org 3.2
-Name[fi]=OpenOffice.org 3.2
-Name[fr]=OpenOffice.org 3.2
-Name[gl]=OpenOffice.org 3.2
-Name[he]=OpenOffice.org 3.2
-Name[hu]=OpenOffice.org 3.2
-Name[it]=OpenOffice.org 3.2
-Name[ko]=OpenOffice.org 3.2
-Name[lt]=OpenOffice.org 3.2
-Name[nb]=OpenOffice.org 3.2
+Name[el]=OpenOffice.org 3.3
+Name[en_CA]=OpenOffice.org 3.3
+Name[en_GB]=OpenOffice.org 3.3
+Name[es]=OpenOffice.org 3.3
+Name[et]=OpenOffice.org 3.3
+Name[eu]=OpenOffice.org 3.3
+Name[fi]=OpenOffice.org 3.3
+Name[fr]=OpenOffice.org 3.3
+Name[gl]=OpenOffice.org 3.3
+Name[he]=OpenOffice.org 3.3
+Name[hu]=OpenOffice.org 3.3
+Name[it]=OpenOffice.org 3.3
+Name[ko]=OpenOffice.org 3.3
+Name[lt]=OpenOffice.org 3.3
+Name[nb]=OpenOffice.org 3.3
 Name[ne]=ओपनअफिस डट अर्ग
-Name[nl]=OpenOffice.org 3.2
-Name[oc]=OpenOffice.org 3.2
-Name[pl]=OpenOffice.org 3.2
+Name[nl]=OpenOffice.org 3.3
+Name[oc]=OpenOffice.org 3.3
+Name[pl]=OpenOffice.org 3.3
 Name[ps]=اوپنافس.ورګ
-Name[pt]=OpenOffice.org 3.2
-Name[pt_BR]=OpenOffice.org 3.2
-Name[sl]=OpenOffice.org 3.2
-Name[sr]=OpenOffice.org 3.2
-Name[sr at latin]=OpenOffice.org 3.2
-Name[sv]=OpenOffice.org 3.2
-Name[vi]=OpenOffice.org 3.2
-Name[zh_CN]=OpenOffice.org 3.2
+Name[pt]=OpenOffice.org 3.3
+Name[pt_BR]=OpenOffice.org 3.3
+Name[sl]=OpenOffice.org 3.3
+Name[sr]=OpenOffice.org 3.3
+Name[sr at latin]=OpenOffice.org 3.3
+Name[sv]=OpenOffice.org 3.3
+Name[vi]=OpenOffice.org 3.3
+Name[zh_CN]=OpenOffice.org 3.3
 GenericName=Office



More information about the arch-commits mailing list